[27136] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25967 - trunk/debathena/scripts/installer

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Wed May 8 16:26:45 2013

Date: Wed, 8 May 2013 16:26:36 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201305082026.r48KQaHk030083@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2013-05-08 16:26:36 -0400 (Wed, 08 May 2013)
New Revision: 25967

Modified:
   trunk/debathena/scripts/installer/install-debathena.beta.sh
Log:
Support wheezy, because apparently we didn't
Note that jessie is unsupported
Move the "unsupported" warning outside the case block


Modified: trunk/debathena/scripts/installer/install-debathena.beta.sh
===================================================================
--- trunk/debathena/scripts/installer/install-debathena.beta.sh	2013-05-08 19:23:42 UTC (rev 25966)
+++ trunk/debathena/scripts/installer/install-debathena.beta.sh	2013-05-08 20:26:36 UTC (rev 25967)
@@ -62,9 +62,13 @@
 fi
 distro=`lsb_release -cs`
 aptitude=aptitude
+prerelease=no
 case $distro in
-  squeeze)
+  squeeze|wheezy)
     ;;
+  jessie)
+    prerelease=yes
+    ;;
   lucid)
     ubuntu=yes
     ;;
@@ -75,19 +79,7 @@
   saucy)
     ubuntu=yes
     aptitude=apt-get
-    output "The release you are running ($distro) is not yet supported"
-    output "and installing Debathena on it is probably a bad idea,"
-    output "particularly for any purpose other than beta testing."
-    output ""
-    output "(New releases are generally supported a couple of weeks"
-    output "after the official release date.  We strongly encourage you"
-    output "to check http://debathena.mit.edu for support information"
-    output "and try again later, or install the previous version of"
-    output "the operating system.)"
-    if ! test -f /root/pxe-install-flag; then
-	ask "Are you sure you want to proceed? [y/N] " n
-	[ y != "$answer" ] && exit 1
-    fi
+    prerelease=yes
     ;;
   lenny|hardy|intrepid|jaunty|karmic|maverick|natty|oneiric)
     error "The release you are running ($distro) is no longer supported."
@@ -106,6 +98,22 @@
     ;;
 esac
 
+if [ "$prerelease" = "yes" ]; then
+    output "The release you are running ($distro) is not yet supported"
+    output "and installing Debathena on it is probably a bad idea,"
+    output "particularly for any purpose other than beta testing."
+    output ""
+    output "(New releases are generally supported a couple of weeks"
+    output "after the official release date.  We strongly encourage you"
+    output "to check http://debathena.mit.edu for support information"
+    output "and try again later, or install the previous version of"
+    output "the operating system.)"
+    if ! test -f /root/pxe-install-flag; then
+	ask "Are you sure you want to proceed? [y/N] " n
+	[ y != "$answer" ] && exit 1
+    fi
+fi
+
 laptop=no
 wifi=no
 if [ -x /usr/sbin/laptop-detect ] && /usr/sbin/laptop-detect 2>/dev/null; then


home help back first fref pref prev next nref lref last post